LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
List of all members
TempFile Service Reference

This service allows to get access to temp files. More...

`import"TempFile.idl";`

Inheritance diagram for TempFile:

## Additional Inherited Members
Exported Interfaces inherited from XTempFile
interface | XStream
| interface XStream offers read and write access to the same stream. More...
interface | XSeekable
| interface XSeekable makes it possible to seek to a certain position within a stream. More...
Public Member Functions inherited from XStream
XInputStream | getInputStream ()
XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XSeekable
void | seek ([in] hyper location) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| changes the seek pointer to a new location relative to the beginning of the stream. More...
hyper | getPosition () raises ( com::sun::star::io::IOException )
| returns the current offset of the stream. More...
hyper | getLength () raises ( com::sun::star::io::IOException )
| returns the length of the stream. More...
Public Attributes inherited from XTempFile
boolean | RemoveFile
| This attribute controls whether the file will be automatically removed on object destruction. More...
string | Uri
| This attribute specifies the URL of the temp file. More...
string | ResourceName
| This attribute specifies the temp file name. More...

## Detailed Description

This service allows to get access to temp files.

The documentation for this service was generated from the following file:

- com/sun/star/io/TempFile.idl